Skip to Content
kosemdocs
ReferenceAPIMembers

Get member

Gets a member of an organization.

GET
/v1/organizations/{organization}/members/{member}

Gets a member of an organization.

Authorization

bearer
headerAuthorizationBearer <token>

An access token, or an API key.

Path Parameters

organization*string

The organization's ID.

Match^org_[0-7][0-9a-hjkmnp-tv-z]{25}$
member*string

The member's user ID.

Match^usr_[0-7][0-9a-hjkmnp-tv-z]{25}$

Response Body

OK

application/json
  1. response
createTime*string

When the user joined the organization.

Formatdate-time
displayName*string

The user's name, as shown in user interfaces.

email*string

The user's email address.

kind*string

How the user belongs to the organization: a MEMBER sees its directory and is included in grants to all members; a GUEST sees only what they are granted.

Value in"MEMBER""GUEST"
name*string

Resource name, organizations/{organization_id}/members/{user_id}.

user*string

The user, users/{user_id}.

Example Request
curl -X GET 'https://api.kosem.ai/v1/organizations/string/members/string'
Example Response
{
  "createTime": "2019-08-24T14:15:22Z",
  "displayName": "string",
  "email": "string",
  "kind": "MEMBER",
  "name": "string",
  "user": "string"
}